package com.lz.modules.flow.model;
import com.lz.modules.performance.dto.ResultTaskDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
* <p>
* </p>*业绩详情表
* @author quyixiao
* @since 2020-10-27
*/

@Data
@ApiModel(value = "业绩详情表Dto")
public class ResultDetailDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    @ApiModelProperty(value = "0不删除，1删除", name = "isDelete")
    private Integer isDelete;
    //1，业绩，2文化价值观
    @ApiModelProperty(value = "1，业绩，2文化价值观", name = "type")
    private Integer type;
    //目标
    @ApiModelProperty(value = "目标", name = "target")
    private String target;
    //关键结果
    @ApiModelProperty(value = "关键结果", name = "keyResult")
    private String keyResult;



    //考核权重
    @ApiModelProperty(value = "考核权重", name = "checkWeight")
    private BigDecimal checkWeight;
    //考核结果
    @ApiModelProperty(value = "考核结果", name = "checkResult")
    private String checkResult;
    //直属上级评分
    @ApiModelProperty(value = "直属上级评分", name = "superScore")
    private String superScore;
    //得分
    @ApiModelProperty(value = "得分", name = "acquireScore")
    private BigDecimal acquireScore;
    //评分说明
    @ApiModelProperty(value = "评分说明", name = "scoreComment")
    private String scoreComment;


    //优先级，从大到小
    @ApiModelProperty(value = "优先级，从小到大", name = "priority")
    private Integer priority;

    @ApiModelProperty(value = "评分详细", name = "scoreDtos")
    private List<ResultScoreDto> scoreDtos;
    @ApiModelProperty(value = "维度id lz_result_model的id", name = "modelId")
    private Long modelId;
    @ApiModelProperty(value = "指标任务列表", name = "taskDtos")
    List<ResultTaskDto> taskDtos;
    @ApiModelProperty(value = "进度", name = "processRate")
    private BigDecimal processRate;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 1，业绩，2文化价值观 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1，业绩，2文化价值观 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 目标 
     * @return
     */
    public String getTarget() {
        return target;
    }
    /**
     * 目标 
     * @param target
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 关键结果 
     * @return
     */
    public String getKeyResult() {
        return keyResult;
    }
    /**
     * 关键结果 
     * @param keyResult
     */
    public void setKeyResult(String keyResult) {
        this.keyResult = keyResult;
    }


    /**
     * 考核权重 
     * @return
     */
    public BigDecimal getCheckWeight() {
        return checkWeight;
    }
    /**
     * 考核权重 
     * @param checkWeight
     */
    public void setCheckWeight(BigDecimal checkWeight) {
        this.checkWeight = checkWeight;
    }

    /**
     * 考核结果 
     * @return
     */
    public String getCheckResult() {
        return checkResult;
    }
    /**
     * 考核结果 
     * @param checkResult
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    /**
     * 直属上级评分 
     * @return
     */
    public String getSuperScore() {
        return superScore;
    }
    /**
     * 直属上级评分 
     * @param superScore
     */
    public void setSuperScore(String superScore) {
        this.superScore = superScore;
    }

    /**
     * 得分 
     * @return
     */
    public BigDecimal getAcquireScore() {
        return acquireScore;
    }
    /**
     * 得分 
     * @param acquireScore
     */
    public void setAcquireScore(BigDecimal acquireScore) {
        this.acquireScore = acquireScore;
    }

    /**
     * 评分说明 
     * @return
     */
    public String getScoreComment() {
        return scoreComment;
    }
    /**
     * 评分说明 
     * @param scoreComment
     */
    public void setScoreComment(String scoreComment) {
        this.scoreComment = scoreComment;
    }


    /**
     * 优先级，从大到小 
     * @return
     */
    public Integer getPriority() {
        return priority;
    }
    /**
     * 优先级，从大到小 
     * @param priority
     */
    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    @Override
    public String toString() {
        return "ResultDetailDto{" +
                ",id=" + id +
                ",type=" + type +
                ",target=" + target +
                ",keyResult=" + keyResult +
                ",checkWeight=" + checkWeight +
                ",checkResult=" + checkResult +
                ",superScore=" + superScore +
                ",acquireScore=" + acquireScore +
                ",scoreComment=" + scoreComment +
                ",priority=" + priority +
                "}";
    }
}